<?php
add_shortcode('protected', 'wp_private_shortcode');

function wp_private_shortcode($atts, $content = null) {
	if(wp_private_is_loggedin()) {
		if(wp_private_is_user_approved()) {
			return do_shortcode($content);
		} else {
			return get_option('wp_private_not_authorized_text');
		}
	} else {
		return wp_private_get_logged_out_data();
	}
}

add_filter('the_content', 'wp_private_content');

function wp_private_content($content) {
	$begin = strpos($content, '<!--protected-->');
	$end = strpos($content, '<!--/protected-->');
	if($begin != $end) {
		$prefix = substr($content,0,$begin);
		$suffix = substr($content,$end,strlen($content));
		if(wp_private_is_loggedin()) {
			if(wp_private_is_user_approved()) {
				return $content;
			} else {
				return $prefix.get_option('wp_private_not_authorized_text').$suffix;
			}
		} else {
			return $prefix.wp_private_get_logged_out_data().$suffix;
		}
	} else {
		return $content;
	}
}
?>